!set title=Columnas/filas 3x3
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr
computeanswer=no

ansorder=r
varcnt=7
prevarcnt=6
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

!readproc slib/matrix/unimodular 3,5 
tmp0=$slib_out
tmp=!trim $(tmp0)
val6=!translate internal $	\
$ to ;; in $tmp
tmp=!translate $	$ to ; in $val6

tmp0=!exec pari matdet([$tmp])
val7=$[rint($(tmp0))]
tmp0=!randitem 2,3,4,5,10

tmp1=!randitem 1,-1

val8=$[rint($(tmp0)*$(tmp1))]
tmp0=!randitem 1,2


!ifval $(tmp0)=1
tmp1=!randitem 1,2,3

val9=,$(tmp1)
!else
tmp2=!randitem 1,2,3

val9=$(tmp2),
!endif
t_=!replace internal \( by ( in A=[$val6];A[$val9]=$val8*A[$val9];print(A)
tmp0=!exec pari $t_

val10=$(tmp0)
val11=$[rint(($val7)*($val8))]
replytype1=numeric
replyname1=det(B)
replygood1=$[$val11]
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Considere las siguientes dos matrices.	<p><center>	 
!insmath A = [$val6], B = [$val10]
$()	</center><p>	Sabiendo que 
!insmath det(A) = $val7
$(), ¿cuál es el valor del determinante de 
!insmath B
$()?	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=6,7,10
embedcnt=0
